Package alt.java.io

# Class IOFactoryImpl

java.lang.Object
alt.java.io.IOFactoryImpl

All Implemented Interfaces:
  `IOFactory`

public class IOFactoryImpl extends Object implements IOFactory

## Constructor Summary

Constructors
Constructor
Description
`IOFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`File`
`createFile(String fileName)`
`InputStream`
`createInputStream(File aFile)`
`OutputStream`
`createOutputStream(File aFile)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IOFactoryImpl

public IOFactoryImpl()

## Method Details

### createInputStream

public InputStream createInputStream(File aFile) throws FileNotFoundException

Specified by:
  `createInputStream` in interface `IOFactory`
Throws:
  `FileNotFoundException`

### createOutputStream

public OutputStream createOutputStream(File aFile) throws FileNotFoundException

Specified by:
  `createOutputStream` in interface `IOFactory`
Throws:
  `FileNotFoundException`

### createFile

public File createFile(String fileName)

Specified by:
  `createFile` in interface `IOFactory`